package commands;
import java.io.*;
import serverClient.*;

/**
 *	The class <i>C_Command</i> is the basis of communication
 *	between server and client and the highest <i>command</i> class.
 *	@author Winkler
 **/
public interface C_Command extends Serializable
{

	/**
	 *	The <i>execute(S_fromClient s)</i> method should implement
	 *	the server-sided execute instructions of the subclasses
	 *	@param s	SEE:S_fromClient
	 */
	public void execute(S_fromClient s);



}
