package commands;
import java.io.*;
import serverClient.*;


/**
 *	The class <i>CS_Command</i> is the basis of communication
 *	between server and client and the highest <i>command</i> class.
 *	@author Winkler
 **/
public interface S_Command extends Serializable
{
	

	/**
	 *	The <i>execute(Client_fromServer c)</i> method should implement
	 *	the client-sided execute instructions of the subclasses
	 *	@param c	SEE:Client_fromServer
	 */
	public void execute(Client_fromServer c);


	
	
}
